Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.runtime.datacache.plugins
Class SocketDistributedCache.HostAddress

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.runtime.datacache.plugins.SocketDistributedCache.HostAddress

Enclosing class:
  SocketDistributedCache

protected static class SocketDistributedCache.HostAddress
extends java.lang.Object

Utility class to store an InetAddress and an int. Not using InetSocketAddress because it's a JDK1.4 API.

Field Summary
`protected java.net.InetAddress` | `address`
`protected static int` | `DEFAULT_PORT`
`protected int` | `port`

Constructor Summary
`protected` | `SocketDistributedCache.HostAddress(java.lang.String host)` Construct a new host address from a string of the form "host:port" or of the form "host".
`protected` | `SocketDistributedCache.HostAddress(java.lang.String host, int port)` Construct a new host address with the specified host and port.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    protected static final int DEFAULT_PORT

See Also:
  Constant Field Values

### address

    protected java.net.InetAddress address

### port

    protected int port

Constructor Detail

### SocketDistributedCache.HostAddress

    protected SocketDistributedCache.HostAddress(java.lang.String host,
                                                 int port)
                                          throws java.net.UnknownHostException

  Construct a new host address with the specified host and port.

### SocketDistributedCache.HostAddress

    protected SocketDistributedCache.HostAddress(java.lang.String host)
                                          throws java.net.UnknownHostException

  Construct a new host address from a string of the form "host:port" or of the form "host".

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.